curl --request PATCH \
--url https://actionkit.useparagon.com/projects/{project_id}/trigger-subscriptions/{subscription_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"parameters": {
"objectType": "Opportunity",
"filterFormula": null
},
"webhookOverride": null
}
'import requests
url = "https://actionkit.useparagon.com/projects/{project_id}/trigger-subscriptions/{subscription_id}"
payload = {
"parameters": {
"objectType": "Opportunity",
"filterFormula": None
},
"webhookOverride": None
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
parameters: {objectType: 'Opportunity', filterFormula: null},
webhookOverride: null
})
};
fetch('https://actionkit.useparagon.com/projects/{project_id}/trigger-subscriptions/{subscription_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<uuid>",
"type": "SALESFORCE_TRIGGER_RECORD_CREATED",
"parameters": {
"objectType": "Opportunity"
},
"status": "ACTIVE",
"dateCreated": "2025-05-31T00:00:00Z",
"dateLastReceivedEvent": "2025-05-31T00:00:00Z",
"credentialId": "<uuid>"
}{
"message": "`type` cannot be updated in a trigger subscription. Instead, unsubscribe from this trigger and create a new subscription with the desired `type`.",
"status": 400
}Update Subscription
Update a trigger subscription’s configuration on behalf of your user.
Authorizations
Your Paragon User Token (JWT), which you can generate using your project's signing keys.
Path Parameters
Your Paragon Project ID
The trigger subscription ID
Body
Response
Success - Returns the updated trigger subscription
The subscription ID
"<uuid>"
The trigger type
"SALESFORCE_TRIGGER_RECORD_CREATED"
The trigger configuration parameters
{ "recordType": "Opportunity" }
ACTIVE: currently receiving events. ERRORED: errors checking for records or repeated webhook delivery issues resulted in the trigger being disabled.
ACTIVE, ERRORED The date the subscription was created
"2025-05-31T00:00:00Z"
For polling triggers: date we last checked for new records. For webhook triggers: date we last received a webhook event.
"2025-05-31T00:00:00Z"
The credential ID associated with this subscription
"<uuid>"
The reason for an error (only present when status is ERRORED)
"Failed to check for new records after repeated failures. Last error: Request failed with 500 { ... error info ... }"
Undefined if no webhook override is set for this subscription
Show child attributes
Show child attributes
Was this page helpful?